<template>
    <div class="header">
        <div class="w-0 md:w-2/12 lg:w-3/12"></div>
        <div class="w-1/2 md:w-3/12 lg:w-2/12">
            <logo></logo>
        </div>
        <div class="w-1/2 md:w-5/12 lg:w-4/12 flex justify-end">
            <div class="slideover-btn">
                <button @click="toogleNav">
                    <app-icon size="2x" icon="bars"></app-icon>
                </button>
            </div>
            <section class="overlay home" :class="{'open':isNavOpen}" @click="toogleNav"></section>
            <div class="slideover-bg" :class="{'open':isNavOpen}">
                <div class="h-1/2 w-full flex justify-center items-center">
                    <section class="slideover-menu">
                        <router-link to>Blog</router-link>
                        <router-link to>Privacy</router-link>
                    </section>
                </div>
                <div class="w-0 h-1/2"></div>
            </div>
        </div>
        <div class="w-0 md:w-2/12 lg:w-3/12"></div>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import Logo from '@/app/components/Logo.vue'

@Component({
    components: {
        Logo,
    },
})
export default class App extends Vue {
    isNavOpen: boolean = false

    // Methods
    toogleNav(): void {
        this.isNavOpen = !this.isNavOpen
    }
}
</script>